%define oname ocaml-compiler-libs

Name:           ocaml-%{oname}
Version:        0.11.0
Release:        %mkrel 4
Summary:        OCaml compiler libraries repackaged
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
This packages exposes the OCaml compiler libraries repackages under
the toplevel names Ocaml_common, Ocaml_bytecomp, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune upgrade
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc README.org
%license LICENSE.txt
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml


%changelog
* Fri Aug 21 2020 umeabot <umeabot> 0.11.0-4.mga8
+ Revision: 1617572
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.11.0-3.mga8
+ Revision: 1551491
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.11.0-2.mga8
+ Revision: 1544537
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1483175
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324501
- Update to 0.11.0

* Tue Oct 23 2018 tv <tv> 0.10.0-5.mga7
+ Revision: 1324056
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.10.0-4.mga7
+ Revision: 1323771
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1299905
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-2.mga7
+ Revision: 1242105
- rebuild against current ocaml stack
- enable debug package as it should

* Sat Jan 13 2018 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1192883
- imported package ocaml-ocaml-compiler-libs

